For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • GETList Videos
        • POSTUpload Video
        • GETGet Video
        • DELDelete Video
        • PATCHUpdate Video Metadata
        • GETList Video Groups
        • POSTCreate Video Group
        • GETGet Video Group
        • DELDelete Video Group
        • PATCHUpdate Video Group
        • GETList Group Videos
        • POSTMove Videos To Group
        • GETGet Feature Catalog
        • POSTPlan Features
        • POSTTrigger Captions
        • POSTTrigger Objects
        • POSTTrigger Embeddings
        • POSTTrigger Transcript
        • POSTSearch
        • POSTChat
        • GETList Captions
        • GETList Transcript
        • GETList Scenes
        • GETList Objects
        • POSTSegment
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceV2

Upload Video

POST
https://vision-agent.api.reka.ai/v2/videos
POST
/v2/videos
$curl -X POST https://vision-agent.api.reka.ai/v2/videos \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@<file1>
202Accepted
1{
2 "video_id": "550e8400-e29b-41d4-a716-446655440000",
3 "status": "uploading",
4 "metadata": {
5 "width": 1920,
6 "height": 1080,
7 "avg_fps": 23.976023976023978,
8 "video_name": "Kathy test",
9 "title": "Kathy test",
10 "video_start_timestamp_utc_ms": 1,
11 "duration": 641.939,
12 "thumbnail": "https://demo-videos-bucket-reka.s3.eu-west-2.amazonaws.com/None/images/{image_id}",
13 "description": "Uploaded video file: home/kathy/vids/tuscany.mp4",
14 "source": "home/kathy/vids/tuscany.mp4"
15 }
16}
Upload a video file or URL without triggering indexing.
Was this page helpful?
Previous

Get Video

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Request

This endpoint expects a multipart form containing an optional file.
filefileOptional
video_urlstringOptional
URL to download video from
video_namestringOptional
Display name for the video. Required for file uploads.
group_idstringOptional
ID of the video group to associate this video with
descriptionstringOptional
Video description

Response

Successful Response
video_idstring
Unique identifier for the uploaded video
statusenum
Status of the upload
Allowed values:
metadataobject or null

Video metadata (populated after upload completes)